org.apache.sling.hapi.client

## Interface Items

All Superinterfaces:
  Item, Iterable<Item>

    public interface Items
    extends Iterable<Item>, Item

A composite object representing items in a `Document`

### Method Summary

Methods
`Item` `at(int index)` Returns the item at one index
`int` `length()` Returns the amount of items contained in this collection.

### Methods inherited from interface java.lang.Iterable

`iterator`

### Methods inherited from interface org.apache.sling.hapi.client.Item

`bool, follow, form, form, href, link, link, number, prop, props, src, submit, text`

### Method Detail

#### at

    Item at(int index)
            throws IndexOutOfBoundsException

Returns the item at one index

Throws:
  `IndexOutOfBoundsException`

#### length

    int length()

Returns the amount of items contained in this collection.